export interface GitCommit {
    type: string;
    scope: string;
    subject: string;
    merge: null;
    header: string;
    body: string | null;
    footer: string | null;
    notes: Array<GitCommitNote>;
    references: Array<GitCommitReference>;
    mentions: Array<string>;
    revert: null;
    hash: string;
    gitTags: string;
    committerDate: string;
}
export interface GitCommitReference {
    action: string;
    owner: string | null;
    repository: string | null;
    issue: string;
    raw: string;
    prefix: string;
}
export interface GitCommitNote {
    title: string;
    text: string;
}
