"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = require("chalk");
const arrowSymbol = process.platform === 'win32' ? '→' : '➜';
function log(type = 'default', message = '') {
    switch (type) {
        case 'title':
            console.log(chalk_1.default.white.bold.underline(message));
            break;
        case 'success':
            console.log(chalk_1.default.green.bold(message));
            break;
        case 'error':
            console.log(chalk_1.default.red.bold(message));
            break;
        case 'step':
            console.log(chalk_1.default.white.bold(`  ${message}`));
            break;
        case 'substep':
            console.log(chalk_1.default.gray(`    ${arrowSymbol} ${message}`));
            break;
        default:
            console.log(message);
    }
}
exports.log = log;
//# sourceMappingURL=log.js.map