"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const log_1 = require("./../log");
const read_file_1 = require("./../utilities/read-file");
const write_file_1 = require("./../utilities/write-file");
async function updatePackageJson(newVersion) {
    log_1.log('substep', 'Read the "package.json" file');
    const packageJson = await read_file_1.readFile('package.json');
    log_1.log('substep', 'Update the version number');
    packageJson.version = newVersion;
    log_1.log('substep', 'Write the "package.json" file');
    await write_file_1.writeFile('package.json', packageJson);
}
exports.updatePackageJson = updatePackageJson;
//# sourceMappingURL=package-json.js.map