"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const resolve_path_1 = require("./resolve-path");
function writeFile(filePath, fileContent, isWithinLibrary = false) {
    return new Promise((resolve, reject) => {
        const resolvedFilePath = resolve_path_1.resolvePath(filePath, isWithinLibrary);
        const preparedFileContent = (typeof fileContent === 'string')
            ? fileContent
            : `${JSON.stringify(fileContent, null, '	')}\n`;
        fs.writeFile(resolvedFilePath, preparedFileContent, 'utf-8', (writeFileError) => {
            if (writeFileError) {
                reject(new Error(`An error occured while reading the file "${resolvedFilePath}". [Code "${writeFileError.code}", Number "${writeFileError.errno}"]`));
                return;
            }
            resolve();
        });
    });
}
exports.writeFile = writeFile;
//# sourceMappingURL=write-file.js.map